Bug 184113 - multiple crashes, fontconfig related, prevent login
multiple crashes, fontconfig related, prevent login
Product: Fedora
Classification: Fedora
Component: fontconfig (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Behdad Esfahbod
Depends On:
  Show dependency treegraph
Reported: 2006-03-06 09:33 EST by William Murray
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-04-06 14:49:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Complete tracback from firefox, partial from openoffice. (26.81 KB, text/plain)
2006-03-06 09:33 EST, William Murray
no flags Details

  None (edit)
Description William Murray 2006-03-06 09:33:46 EST
Description of problem:
  login failes after latest upgrades. 
Seems related to the crash in bug.dat attached.

Version-Release number of selected component (if applicable):

How reproducible:
For my normal account, 100%. For a new account never.

Steps to Reproduce:
1. Log in viasecond account
2.  su to troublesome account
3.  Start e.g. firefox from that account.
Actual results:
Many applications crash with 'invalid next size' in libc
called by libfontconfig

Expected results:
Window should open

Additional info:
On a second machine, similar setup, there is no problem at all.
Comment 1 William Murray 2006-03-06 09:33:46 EST
Created attachment 125705 [details]
Complete tracback from firefox, partial from openoffice.
Comment 2 Hans de Goede 2006-03-10 16:38:56 EST
I have this too after doing a full upgrade to rawhide today (which I do about
once a week).

The problem is that fontconfig using apps choke on what is appearantly a
fontconfig cache that somehow got corrupted.

To fix the broken account do:
mv .rh-fontconfig .rh-fontconfig.broken

Don't rm the dir, the files there might help debug this. Strange enough there
are 2 files in my problem dir:
[hans@shalem ~]$ ls -al .rh-fontconfig.broken/
total 392
drwxrwxr-x  2 hans hans   4096 Mar 10 19:46 .
drwxr-xr-x 45 hans hans   4096 Mar 10 22:34 ..
-rw-------  1 hans hans 167320 Mar 10 13:28 .fonts.cache-2
-rw-------  1 hans hans 196609 Feb 27 13:02 fonts.cache-2

I also have an idea what might have caused this I was doing a yum -y upgrade and
while this was running on the console (some packages upgraded not all) I logged
out of my gdm session and back in again.

I'm on x86_64 btw so it seems to affect all archs.
Comment 3 Matthew Miller 2007-04-06 13:23:42 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 4 Hans de Goede 2007-04-06 14:45:24 EDT
For the record, I've never encountered this again after my initial comment, as
since no-one else has added a me too comment, I think this can be closed.
Comment 5 Matthew Miller 2007-04-06 14:49:28 EDT
Okay. I'm going to call that "WORKSFORME". Thanks.

Note You need to log in before you can comment on or make changes to this bug.